<?php 

if (!function_exists('friday_news_lite_loadmore_archive_full_width')) {
    add_action('wp_ajax_friday_news_lite_loadmore_archive_full_width', 'friday_news_lite_loadmore_archive_full_width');
    add_action('wp_ajax_nopriv_friday_news_lite_loadmore_archive_full_width', 'friday_news_lite_loadmore_archive_full_width');

    function friday_news_lite_loadmore_archive_full_width() {
        check_ajax_referer('$P$By.WhgC.styMXTVXajsHThQZgrlsVm1', 'ajax_security');

        if( $_POST['search'] ){
            $query = array(
                'post_status' => array('publish'),
                's'=> $_POST['search'],
                'paged' => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
            );

        }else{
            if( $_POST['slug'] ){
                $query = array(
                    'tag' => $_POST['slug'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }else{
                $query = array(
                    'cat'         => $_POST['cat_id'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }
        } 

        $result_set_main = new WP_Query($query);

        if ($result_set_main->have_posts()) :
            while ($result_set_main->have_posts()) : $result_set_main->the_post();
            ?>
                <li>
                    <article class="entry-item">
                        <?php if(has_post_thumbnail()) : ?>
                            <div class="entry-thumb">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'friday_news-widget-blog3-730x438' ); ?>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="entry-box">
                            <h2 class="entry-title st-13">
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            </h2>
                            <?php the_excerpt(); ?>
                            <div class="entry-info">
                                <span class="entry-author">
                                    <?php esc_html_e('By', 'friday-news-lite'); the_author_posts_link(); ?>
                                </span>
                                <span class="divier"></span>
                                <span class="entry-time"><?php echo get_the_date(get_option('date-format')); ?></span>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </article>
                </li>          
            <?php
            endwhile;
        endif;        
        
        wp_reset_postdata();

        exit();
    }
}

if (!function_exists('friday_news_lite_loadmore_archive_two_posts_in_row')) {
    add_action('wp_ajax_friday_news_lite_loadmore_archive_two_posts_in_row', 'friday_news_lite_loadmore_archive_two_posts_in_row');
    add_action('wp_ajax_nopriv_friday_news_lite_loadmore_archive_two_posts_in_row', 'friday_news_lite_loadmore_archive_two_posts_in_row');

    function friday_news_lite_loadmore_archive_two_posts_in_row() {
        check_ajax_referer('$P$By.WhgC.styMXTVXajsHThQZgrlsVm1', 'ajax_security');

        if( $_POST['search'] ){
            $query = array(
                'post_status' => array('publish'),
                's'           => $_POST['search'],
                'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
            );

        }else{
            if( $_POST['slug'] ){
                $query = array(
                    'tag' => $_POST['slug'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }else{
                $query = array(
                    'cat'         => $_POST['cat_id'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }
        }

        $post_per_page = get_option('posts_per_page');
        
        $result_set_main = new WP_Query($query);
        
        $result_array = array();
        ?>  
            <?php if($result_set_main->have_posts()) : while($result_set_main->have_posts()) : $result_set_main->the_post(); 
                $thumb = '';
                if(has_post_thumbnail()) : 
                    $thumb =    '<div class="entry-thumb">
                                    <a href="'.get_permalink(get_the_id()).'">
                                        '.get_the_post_thumbnail( get_the_id(), 'friday_news-blog2-380x242' ).'
                                    </a>
                                </div>';
                endif;
                $result_array[] =   '<div class="blog-list-item col-xs-12 col-sm-6">
                                        <article class="entry-item">
                                            '.$thumb.'
                                            <div class="entry-box">
                                                '.friday_news_lite_get_first_cat('categories').'
                                                <h4 class="entry-title st-12"><a href="'.get_permalink(get_the_id()).'">'.get_the_title(get_the_id()).'</a></h4>
                                                    '.get_the_excerpt().'
                                                    <span class="entry-time">'.get_the_date(get_option("date-format")).'</span>
                                            </div>
                                        </article>
                                    </div>';
            endwhile; endif; ?>     
        <?php
        wp_reset_postdata();
        echo json_encode( $result_array );
        exit();
    }
}

if (!function_exists('friday_news_lite_loadmore_archive_three_posts_in_row')) {
    add_action('wp_ajax_friday_news_lite_loadmore_archive_three_posts_in_row', 'friday_news_lite_loadmore_archive_three_posts_in_row');
    add_action('wp_ajax_nopriv_friday_news_lite_loadmore_archive_three_posts_in_row', 'friday_news_lite_loadmore_archive_three_posts_in_row');

    function friday_news_lite_loadmore_archive_three_posts_in_row() {
        check_ajax_referer('$P$By.WhgC.styMXTVXajsHThQZgrlsVm1', 'ajax_security');

        if( $_POST['search'] ){
            $query = array(
                'post_status' => array('publish'),
                's'           => $_POST['search'],
                'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
            );

        }else{
            if( $_POST['slug'] ){
                $query = array(
                    'tag' => $_POST['slug'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }else{
                $query = array(
                    'cat'         => $_POST['cat_id'],
                    'post_status' => array('publish'),
                    'paged'       => isset($_POST['paged']) && !empty($_POST['paged']) ? (int)$_POST['paged'] : 1,
                );
            }
        }

        $post_per_page = get_option('posts_per_page');
        
        $result_set_main = new WP_Query($query);
        
        $result_array = array();

        ?>  

            <?php if($result_set_main->have_posts()) : while($result_set_main->have_posts()) : $result_set_main->the_post(); 
                $thumb  = '';
                $sticky = '';
                if(is_sticky()) :
                    $sticky = '<span class="sticky-icon"><i class="fa fa-bolt"></i></span>';
                endif;
                if(has_post_thumbnail()) :  
                    $thumb =    '<div class="entry-thumb">
                                    <div class="kopa-icon">
                                        '.friday_news_lite_get_icon_by_post_format(get_the_id()).'
                                    </div>
                                    <a href="'.get_permalink(get_the_id()).'">
                                        '.get_the_post_thumbnail( get_the_id(), 'friday_news-blog4-244x170' ).'
                                    </a>
                                </div>';
                endif;
                $result_array[] =   '<div class="blog-list-item col-xs-12 col-sm-4">
                                        <article class="entry-item sticky-post">
                                            '.$sticky.'                                           
                                            '.$thumb.'
                                            <div class="entry-box">
                                                '.friday_news_lite_get_first_cat(get_the_id(),'categories').'
                                                <h4 class="entry-title st-12">
                                                    <a href="'.get_permalink(get_the_id()).'">'.get_the_title(get_the_id()).'</a>
                                                </h4>
                                            </div>
                                        </article>
                                    </div>';
            endwhile; endif; ?>
        <?php
        wp_reset_postdata();
        echo json_encode( $result_array );
        exit();
    }
}