/**
 * http://kopatheme.com
 * Copyright (c) 2015 Kopatheme
 *
 * Licensed under the GPL license:
 *  http://www.gnu.org/licenses/gpl.html
 **/

/**
 *   1. Search Box
 *   2. Menu
 *   3. Owl carousel
 *   4. Match height
 *   5. Validate Form
 *   6. Masonry
 *   7. Custom woocommerce ('remove in wordpress')
 *   8. Accordion & Toggle
 *   9. Sticky sidebar
 *   10. Behavior
 *   11. Sticky menu
 *   12. Back To Top
 *-----------------------------------------------------------------
 **/

"use strict";

jQuery(document).ready(function() {

    /* =========================================================
    1. Search Box
    ============================================================ */

    if (jQuery('.sb-search').length) {
        Modernizr.load([{
            load: [friday_news_lite_variable.url.template_directory_uri + 'js/jquery.uisearch.min.js', friday_news_lite_variable.url.template_directory_uri + 'js/jquery.classie.min.js'],
            complete: function() {
                new UISearch(document.getElementById('sb-search'));
            }
        }]);
    };

    /* =========================================================
    2. Menu
    ============================================================ */

    if (jQuery('.sf-menu').length) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.superfish.min.js'],
            complete: function() {
                jQuery('.sf-menu').superfish();
                jQuery('.megamenu').parent().addClass('static');
            }
        }]);
    }

    if (jQuery('.navgoco-menu').length > 0) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.navgoco.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.debouncedresize.min.js'],
            complete: function() {
                jQuery(".navgoco-menu").navgoco({
                    accordion: true
                });

                jQuery('.toggle-menu').on('click',function(){
                    jQuery('.wrap-navgoco-menu').stop().slideToggle();
                });

                jQuery(window).on('click', 'debouncedresize', function() {
                    var wWidth = jQuery(window).width();
                    if(wWidth >= 1170){
                        jQuery('.wrap-navgoco-menu').removeAttr('style');
                    }
                });
            }
        }]);
    }

    // Style link hover
    jQuery('.sf-menu .menu-item-has-children').on('hover', function(){
        var $this = jQuery(this);
        var shareWrapOffset = jQuery(this).offset().left;
        var wraplink = jQuery(this).find('.sub-menu').width();
        var wrapperWidth = jQuery('.wrapper').width();
        var wrapperOffset = ( jQuery(window).width() - wrapperWidth ) / 2;
        var newOffset = Number( wrapperWidth ) + Number( wrapperOffset );
        var minus = Number( newOffset ) - Number( shareWrapOffset );

        if( minus < wraplink ){
            jQuery(this).find('.sub-menu').addClass('pos-right');
        }
    });


    /* =========================================================
    3. Owl carousel
    ============================================================ */
    if (jQuery('.kopa-owl-carousel').length) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.owl-carousel.min.js' ] ,
            complete: function() {
                jQuery('.kopa-owl-carousel').each(function() {

                    // Control slider
                    var $this      = jQuery(this);
                    var option     = $this.find('.kopa-owl-content');
                    var item       = option.data('slider-item');
                    var itemTablet = option.data('item-tablet');
                    var auto       = option.data('slider-auto');
                    var navigation = option.data('slider-navigation');
                    var pagination = option.data('slider-pagination');

                    // Call slider
                    var owl = option;

                    if (1 == itemTablet) {
                        itemTablet = 1;
                    } else {
                        itemTablet = 2;
                    }

                    owl.owlCarousel({
                        items: item,
                        itemsDesktop: [1000, 3],
                        itemsDesktopSmall: [992, 1],
                        slideSpeed: 500,
                        autoPlay: auto,
                        navigation: navigation,
                        pagination: pagination,
                        stopOnHover: true,
                        navigationText: false,
                        addClassActive: true,
                        afterInit: function() {
                            var total = this.owl.owlItems.length;
                            $this.find('.total-slides').text(total);
                            jQuery('.current-slide').text('1');
                        },
                        afterMove: function() {
                            var current = Number(this.owl.currentItem) + 1;
                            jQuery('.current-slide').text(current);
                        }
                    });

                    // Custom Navigation Events
                    $this.find(".next").on('click', function() {
                        owl.trigger('owl.next');
                    });

                    $this.find(".prev").on('click', function() {
                        owl.trigger('owl.prev');
                    });

                    jQuery('.related-posts').find(".next").on('click', function(event) {
                        event.preventDefault();
                        var self = jQuery(this);
                        self.parents('.related-posts').find(owl).trigger('owl.next');
                    });

                    jQuery('.related-posts').find(".prev").on('click', function(event) {
                        event.preventDefault();
                        var self = jQuery(this);
                        self.parents('.related-posts').find(owl).trigger('owl.prev');
                    });

                });

            }
        }]);
    };

    /* =========================================================
    4. Match Height
    ============================================================ */

    if (jQuery('.kopa-match-height').length) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.matchHeight.min.js' ],

            complete: function() {
                jQuery('.kopa-match-height').each(function() {
                    jQuery(this).find('.match-height-item').matchHeight();
                });
            }
        }]);
    }

    /* =========================================================
    5. Validate Form
    ============================================================ */

    /*--- contact form ---*/

    if (jQuery('.contact-form').length) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri +'js/jquery.form.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.validate.min.js'],
            complete: function() {
                jQuery('.contact-form').validate({
                    // Add requirements to each of the fields
                    rules: {
                        name: {
                            required: true,
                            minlength: 5
                        },
                        email: {
                            required: true,
                            email: true
                        },
                        subject: {
                            required: true,
                            minlength: 5
                        },
                        message: {
                            required: true,
                            minlength: 10
                        }
                    },
                    // Specify what error messages to display
                    // when the user does something horrid
                    messages: {
                        name: {
                            required: friday_news_lite_variable.validate.name.required,
                            minlength: jQuery.format(friday_news_lite_variable.validate.name.minlength)
                        },
                        email: {
                            required: friday_news_lite_variable.validate.email.required,
                            email: friday_news_lite_variable.validate.email.email
                        },
                        subject: {
                            required: friday_news_lite_variable.validate.subject.required,
                            url: friday_news_lite_variable.validate.subject.minlength
                        },
                        message: {
                            required: friday_news_lite_variable.validate.message.required,
                            minlength: jQuery.format(friday_news_lite_variable.validate.message.minlength)
                        }
                    },
                    // Use Ajax to send everything to processForm.php
                    submitHandler: function(form) {
                        jQuery("#submit-contact").html(friday_news_lite_variable.validate.form.sending);
                        jQuery(form).ajaxSubmit({
                            success: function(responseText, statusText, xhr, jQueryform) {
                                jQuery("#response").html(responseText).hide().slideDown("fast");
                                jQuery("#submit-contact").html(friday_news_lite_variable.validate.form.submit);
                            }
                        });
                        return false;
                    }
                });
            }
        }]);
    }

    /*--- comment form ---*/

    if (jQuery('#comments-form').length) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri +'js/jquery.form.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.validate.min.js'],
            complete: function() {
                jQuery('#comments-form').validate({
                    // Add requirements to each of the fields
                    rules: {
                        author: {
                            required: true,
                            minlength: 5
                        },
                        email: {
                            required: true,
                            email: true
                        },
                        comment: {
                            required: true,
                            minlength: 10
                        }
                    },
                    // Specify what error messages to display
                    // when the user does something horrid
                    messages: {
                        author: {
                            required: friday_news_lite_variable.validate.name.required,
                            minlength: jQuery.format(friday_news_lite_variable.validate.name.minlength)
                        },
                        email: {
                            required: friday_news_lite_variable.validate.email.required,
                            email: friday_news_lite_variable.validate.email.email
                        },
                        comment: {
                            required: friday_news_lite_variable.validate.comment.required,
                            minlength: jQuery.format(friday_news_lite_variable.validate.comment.minlength)
                        }
                    },
                });
            }
        }]);
    }

    /* =========================================================
    6. Masonry
    ============================================================ */

    if (jQuery('.kopa-masonry').length) {
        Modernizr.load([{
            load: [friday_news_lite_variable.url.template_directory_uri + 'js/jquery.masonry.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.imagesloaded.min.js'],
            complete: function() {
                jQuery('.kopa-masonry').each(function(){
                    var $this = jQuery(this);

                    $this.imagesLoaded(function(){
                        $this.masonry({
                          // options
                          itemSelector: '.masonry-item'
                        });
                    });
                });
            }
        }]);
    }

    /* =========================================================
    7. Custom woocommerce ('remove in wordpress')
    ============================================================ */

    if (jQuery('.woocommerce-page').length) {
        var wooparents = jQuery('.woocommerce-tabs .tabs');
        var wooparent = wooparents.find('li');

        wooparent.on('click', function(){
            wooparent.removeClass('active');
            jQuery(this).addClass('active');

            wooparents.nextAll('.panel').fadeOut();

            var show = jQuery(this).find('a').attr('href');

            jQuery(show).fadeIn();

            return false;


        });
    }

    /* =========================================================
    8. Accordion & Toggle
    ============================================================ */
    jQuery('.block-show').css({
        display: 'block'
    });
    if (jQuery('.kopa-accordion').length){
        jQuery('.kopa-accordion .title').on('click',function(){
            var check = jQuery(this).next().hasClass('block-show');
            var title = jQuery('.title');
            var content = jQuery('.content');
            var $this = jQuery(this);

            if( check == true){
                $this.parent().find(content).stop().slideUp().removeClass('block-show');
                $this.parent().find(title).removeClass('active');
                return false;
            }else{
                $this.parent().find(content).stop().slideUp().removeClass('block-show');
                $this.parent().find(title).removeClass('active');
                $this.addClass('active').next(content).stop().slideDown().addClass('block-show');
                return false;
            } 
        });
    }

    if (jQuery('.kopa-toggle').length){
        jQuery('.kopa-toggle .title').on('click',function(){
            var check = jQuery(this).next().hasClass('block-show');
            var title = jQuery('.title');
            var content = jQuery('.content');
            var $this = jQuery(this);

            if( check == true){
                $this.removeClass('active').next(content).stop().slideUp().removeClass('block-show');
                return false;
            }else{
                $this.addClass('active').next(content).stop().slideDown().addClass('block-show');
                return false;
            } 
        });
    }

     /* =========================================================
    9. Sticky sidebar
    ============================================================ */

    if (jQuery('.sidebar').length > 0) {
        Modernizr.load([{
            load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.sticky-kit.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.debouncedresize.min.js'],
            complete: function() {
                var wWidth = jQuery(window).width();
                var key;

                if( wWidth >= 993 ){
                    jQuery(".sidebar").stickit();
                    key = 1;
                }else{
                    key = 2;
                }
                
                jQuery(window).on('click', 'debouncedresize', function() {
                    wWidth = jQuery(window).width();
                    
                    if( wWidth >= 993 && key == 2 ){
                        jQuery(".sidebar").stickit();
                        key = 1;

                    }if( wWidth < 992 && key == 1 ){
                        jQuery(".sidebar").stickit('destroy');
                        key = 2;
                    }
                });
            }
        }]);
    }

    /* =========================================================
    10. Behavior
    ============================================================ */
    jQuery('.toggle-share-icon').on('click',function(){
        var $this = jQuery(this);
        var ClassCheck = $this.siblings('.show-social').hasClass('show');

        if( ClassCheck == true ){
            jQuery('.show-social').removeClass('show');
        }else{
            jQuery('.show-social').removeClass('show');
            $this.siblings('.show-social').addClass('show');
        }
    });

    /* =========================================================
    12. Back To Top
    ============================================================ */
    var offset = 300,
        offset_opacity = 1200,
        scroll_top_duration = 700,
        $back_to_top = jQuery('.back-top');

    $back_to_top.on('click', function(event) {
        event.preventDefault();
        jQuery('body,html').animate({
            scrollTop: 0
        }, scroll_top_duration);
    });
});

jQuery(window).load(function() {
    setTimeout(function() {
        jQuery('*').removeClass('loader');

        // Fixed nav
        /* =========================================================
        11. Stick menu
        ============================================================ */

        if( jQuery('.main-header').length){
            Modernizr.load([{
                load: [ friday_news_lite_variable.url.template_directory_uri + 'js/jquery.sticky-menu.min.js',friday_news_lite_variable.url.template_directory_uri + 'js/jquery.debouncedresize.min.js'],
                complete: function() {
                    var BottomHeader = jQuery('.bottom-header');
                    BottomHeader.sticky({ topSpacing: 0 });
                }
            }]);
        }

    }, 1000);

    var button_loadmore_archive_full_width = jQuery('#friday-loadmore-archive-full-width');

    button_loadmore_archive_full_width.on('click', function(event) {
        event.preventDefault();

        var url    = jQuery(this).data('url');
        var paged  = parseInt(jQuery(this).data('paged'));    
        var cat    = jQuery(this).data('cat');                
        var search = jQuery(this).data('search');
        var slug   = jQuery(this).data('slug');

        if(!button_loadmore_archive_full_width.hasClass('in-process')){
            jQuery.ajax({
                type: 'POST',
                url: url,
                dataType: 'html',
                data: {
                    paged : paged,
                    search : search,
                    cat_id : cat,
                    slug: slug,
                    offset : jQuery(".blog-list-content > .rs-ul > li").length                      
                },
                beforeSend: function() {
                    button_loadmore_archive_full_width.addClass('in-process');                                
                    //loading...
                    jQuery('#friday-loadmore-archive-full-width').text('Loading...');
                },
                success: function(data) {     
                    if(data.trim() != ''){                                                                            
                        jQuery(".blog-list-content > .rs-ul").append(data);
                        button_loadmore_archive_full_width.data('paged', paged + 1);                               
                        button_loadmore_archive_full_width.removeClass('in-process');    
                    
                        //text: load more  
                        jQuery('#friday-loadmore-archive-full-width').text('Load more');

                    } else{
                        jQuery('#friday-loadmore-archive-full-width').remove();
                    }                               
                },
                complete: function() {   
                    
                },
                error: function() {
                    jQuery('#friday-loadmore-archive-full-width').remove();
                }
            });

        }
    });

    var button_loadmore_archive_two_posts_in_row = jQuery('#friday-loadmore-archive-two-posts-in-row');

    button_loadmore_archive_two_posts_in_row.on('click', function(event) {
        event.preventDefault();

        var url    = jQuery(this).data('url');
        var paged  = parseInt(jQuery(this).data('paged'));    
        var cat    = jQuery(this).data('cat');                
        var search = jQuery(this).data('search');
        var slug = jQuery(this).data('slug');

        if(!button_loadmore_archive_two_posts_in_row.hasClass('in-process')){
            jQuery.ajax({
                type: 'POST',
                url: url,
                dataType: 'html',
                data: {
                    paged : paged,
                    search : search,
                    cat_id : cat,
                    slug : slug,

                },
                beforeSend: function() {
                    button_loadmore_archive_two_posts_in_row.addClass('in-process');                                
                    //loading...
                    jQuery('#friday-loadmore-archive-two-posts-in-row').text('Loading...');
                },
                success: function(data_json) {     
                    if(data_json.trim() != '[]'){
                        var $data;
                        $data = jQuery.parseJSON( data_json );
                        if( jQuery(".blog-list-content .row").last().find('.blog-list-item').length == 2 )  {
                            
                            var loop_index = 0; 
                            var number_per_row = 2;
                            var append_text = '<div class="row">';
                            jQuery.each($data, function (index, value) {
                                if( loop_index > 0 & loop_index % number_per_row == 0){
                                    append_text = append_text + '</div>';
                                    append_text = append_text +  '<div class="row">';
                                }
                                loop_index++;
                                append_text = append_text + $data[index];
                            });
                            append_text + '</div>';
                            jQuery(".blog-list-content .kopa-loadmore").before(append_text);
                        } else {
                            jQuery(".blog-list-content .row").last().find('.blog-list-item').last().after($data[0]);

                            var loop_index = 0; 
                            var number_per_row = 2;
                            var append_text = '<div class="row">';

                            for(var i = 1; i < $data.length; i++) {
                                if( loop_index > 0 & loop_index % number_per_row == 0){
                                    append_text = append_text + '</div>';
                                    append_text = append_text +  '<div class="row">';
                                }
                                loop_index++;
                                append_text = append_text + $data[i];
                            }

                            append_text + '</div>';
                            jQuery(".blog-list-content .kopa-loadmore").before(append_text);
                        }
                        button_loadmore_archive_two_posts_in_row.data('paged', paged + 1);                               
                        button_loadmore_archive_two_posts_in_row.removeClass('in-process');    
                    
                        //text: load more  
                        jQuery('#friday-loadmore-archive-two-posts-in-row').text('Load more');

                    } else {
                        jQuery('#friday-loadmore-archive-two-posts-in-row').remove();
                    }                               
                },
                complete: function() {   
                    
                },
                error: function() {
                    jQuery('#friday-loadmore-archive-two-posts-in-row').remove();
                }
            });

        }
    });

    var button_loadmore_archive_three_posts_in_row = jQuery('#friday-loadmore-archive-three-posts-in-row');

    button_loadmore_archive_three_posts_in_row.on('click', function(event) {
        event.preventDefault();

        var url    = jQuery(this).data('url');
        var paged  = parseInt(jQuery(this).data('paged'));    
        var cat    = jQuery(this).data('cat');                
        var search = jQuery(this).data('search');
        var slug = jQuery(this).data('slug');

        if(!button_loadmore_archive_three_posts_in_row.hasClass('in-process')){
            jQuery.ajax({
                type: 'POST',
                url: url,
                dataType: 'html',
                data: {
                    paged : paged,
                    search : search,
                    cat_id : cat,
                    slug : slug               
                },
                beforeSend: function() {
                    button_loadmore_archive_three_posts_in_row.addClass('in-process');                                
                    //loading...
                    jQuery('#friday-loadmore-archive-three-posts-in-row').text('Loading...');
                },
                success: function(data_json) {     
                    if(data_json.trim() != '[]'){
                        var $data;
                        $data = jQuery.parseJSON( data_json );
                        if( jQuery(".blog-list-content .row").last().find('.blog-list-item').length == 3 )  {
                            
                            var loop_index = 0; 
                            var number_per_row = 3;
                            var append_text = '<div class="row">';
                            jQuery.each($data, function (index, value) {
                                if( loop_index > 0 & loop_index % number_per_row == 0){
                                    append_text = append_text + '</div>';
                                    append_text = append_text +  '<div class="row">';
                                }
                                loop_index++;
                                append_text = append_text + $data[index];
                            });
                            append_text + '</div>';
                            jQuery(".blog-list-content .kopa-loadmore").before(append_text);
                        } else if ( jQuery(".blog-list-content .row").last().find('.blog-list-item').length == 2 ) {
                            jQuery(".blog-list-content .row").last().find('.blog-list-item').last().after($data[0]);

                            var loop_index = 0; 
                            var number_per_row = 3;
                            var append_text = '<div class="row">';

                            for(var i = 1; i < $data.length; i++) {
                                if( loop_index > 0 & loop_index % number_per_row == 0){
                                    append_text = append_text + '</div>';
                                    append_text = append_text +  '<div class="row">';
                                }
                                loop_index++;
                                append_text = append_text + $data[i];
                            }

                            append_text + '</div>';
                            jQuery(".blog-list-content .kopa-loadmore").before(append_text);
                        } else if ( jQuery(".blog-list-content .row").last().find('.blog-list-item').length == 1 ) {
                            jQuery(".blog-list-content .row").last().find('.blog-list-item').last().after($data[0]);
                            if( $data.length = 2 ){
                                jQuery(".blog-list-content .row").last().find('.blog-list-item').last().after($data[1]);
                            }

                            if( $data.length > 2 ){
                                var append_text = '<div class="row">';

                                for(var i = 2; i < $data.length; i++) {
                                    console.log(loop_index);
                                    if( loop_index > 0 & loop_index % number_per_row == 0){
                                        append_text = append_text + '</div>';
                                        append_text = append_text +  '<div class="row">';
                                    }
                                    loop_index++;
                                    append_text = append_text + $data[i];
                                }

                                append_text + '</div>';
                            }
                            jQuery(".blog-list-content .kopa-loadmore").before(append_text);
                        }

                        button_loadmore_archive_three_posts_in_row.data('paged', paged + 1);                               
                        button_loadmore_archive_three_posts_in_row.removeClass('in-process');    
                    
                        //text: load more  
                        jQuery('#friday-loadmore-archive-three-posts-in-row').text('Load more');

                    } else{
                        jQuery('#friday-loadmore-archive-three-posts-in-row').remove();
                    }                               
                },
                complete: function() {   
                    
                },
                error: function() {
                    jQuery('#friday-loadmore-archive-three-posts-in-row').remove();
                }
            });

        }
    });
});