<?php 
$sb_top    = apply_filters('friday_news_lite_get_sidebar', 'sb_top', 'pos_top');
$sb_middle = apply_filters('friday_news_lite_get_sidebar', 'sb_middle', 'pos_middle');
$cat_ID    = get_query_var( 'cat' );
$slug      = get_query_var( 'tag' );
global $wp_query;
?>
<div id="kopa-main-content">
    <div class="wrapper">
        <?php if (is_active_sidebar($sb_top)) : ?>
            <div class="top-page f_background">
        <?php else : ?>
            <div class="top-page">
        <?php endif; ?>
            <?php get_template_part( 'template/module/breadcrumb' ); ?>
            <!-- /.kopa-breadcrumb-->
            <?php         
                if (is_active_sidebar($sb_top)){
                    dynamic_sidebar($sb_top);    
                }
            ?>
        </div>
        <div class="main-page">
            <?php         
                if (is_active_sidebar($sb_middle)){
                    echo '<div class="widget-area-3">';
                        dynamic_sidebar($sb_middle);    
                    echo '</div>';
                }
            ?>
            <div class="kopa-row-15">
                <div class="main-col">
                    <div class="widget-area-7">
                        <div class="kopa-blog-list kopa-blog-list-4">
                            <div class="blog-list-content">
                                <?php if(have_posts()) : ?>
                                    <ul class="rs-ul">
                                        <?php $is_first = true; ?>
                                        <?php while(have_posts()) : the_post(); ?>
                                            <li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                                <?php if(has_post_thumbnail()) : ?>
                                                    <article class="entry-item">
                                                <?php else : ?>
                                                    <article class="entry-item no-thumb">
                                                <?php endif; ?>
                                                    <?php if(is_sticky()) : ?>
                                                        <span class="sticky-icon"><i class="fa fa-bolt"></i></span>
                                                    <?php endif; ?>
                                                    <?php if(has_post_thumbnail()) : ?>
                                                        <div class="entry-thumb">
                                                            <div class="thumb-icon image">
                                                                <div class="inner"><?php echo friday_news_lite_get_icon_by_post_format(); ?></div>
                                                            </div>
                                                            <?php do_action('friday_news_lite_socials_share_cat'); ?>
                                                            <a href="<?php the_permalink(); ?>">
                                                                <?php the_post_thumbnail( 'friday_news-widget-blog3-730x438' ); ?>
                                                            </a>
                                                        </div>
                                                    <?php endif; ?>
                                                    <div class="entry-box">
                                                        <h2 class="entry-title st-13">
                                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                        </h2>
                                                        <?php
                                                            if(!$is_first){
                                                                the_excerpt(); 
                                                            }
                                                            $is_first = false;
                                                        ?>
                                                        <div class="entry-info">
                                                            <span class="entry-author">
                                                                <?php esc_html_e('By', 'friday-news-lite'); the_author_posts_link(); ?>
                                                            </span>
                                                            <span class="divier"></span>
                                                            <span class="entry-time"><?php echo get_the_date(get_option('date-format')); ?></span>
                                                            <div class="clearfix"></div>
                                                        </div>
                                                    </div>
                                                </article>
                                            </li>
                                        <?php endwhile;?>
                                    </ul>
                                    <?php if ( $wp_query->found_posts > get_option( 'posts_per_page' ) ) : ?>
                                    <div class="kopa-loadmore">
                                        <?php $url = wp_nonce_url(admin_url('admin-ajax.php?action=friday_news_lite_loadmore_archive_full_width'), '$P$By.WhgC.styMXTVXajsHThQZgrlsVm1', 'ajax_security'); ?>
                                        <a id="friday-loadmore-archive-full-width"  href="#" data-url="<?php echo esc_url($url); ?>" data-paged="2" data-cat="<?php echo esc_attr( $cat_ID ); ?>" data-slug="<?php echo esc_attr( $slug ); ?>" data-search="<?php echo get_search_query(); ?>">Load more<i class="fa fa-rotate-right"></i></a>

                                        <?php if(is_search()) : ?>
                                            <input id="search" type="hidden" name="s" value="<?php echo get_search_query(); ?>"> 
                                        <?php endif; ?>
                                    </div>
                                    <!-- /.kopa-pagination-->
                                <?php endif; ?>
                                <?php else: ?>
                                    <p><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'friday-news-lite' ); ?></p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.main-col-->
            </div>
        </div>
    </div>
</div>