<?php 
$sb_top       = apply_filters('friday_news_lite_get_sidebar', 'sb_top', 'pos_top');
$sb_middle    = apply_filters('friday_news_lite_get_sidebar', 'sb_middle', 'pos_middle');
?>
<div id="kopa-main-content">
    <div class="wrapper">
        <?php if (is_active_sidebar($sb_top)) : ?>
            <div class="top-page f_background">
        <?php else : ?>
            <div class="top-page">
        <?php endif; ?>
            <?php get_template_part( 'template/module/breadcrumb' ); ?>
            <!-- /.kopa-breadcrumb-->
            <?php         
                if (is_active_sidebar($sb_top)){
                    dynamic_sidebar($sb_top);    
                }
            ?>
        </div>
        <div class="main-page">
            <?php         
                if (is_active_sidebar($sb_middle)){
                    echo '<div class="widget-area-3">';
                        dynamic_sidebar($sb_middle);    
                    echo '</div>';
                }
            ?>
            <div class="kopa-row-15"> 
                <div class="main-col full-width">
                    <div class="widget-area-7">
                        <div class="kopa-blog-list kopa-blog-list-2">
                            <div class="blog-list-content">
                                <?php if(have_posts()) : ?>
                                    <ul class="rs-ul">
                                        <?php while(have_posts()) : the_post(); ?>
                                            <li id="post-<?php the_ID(); ?>" <?php post_class('blog-list-item'); ?>>
                                                <?php if(has_post_thumbnail()) : ?>
                                                    <article class="entry-item">
                                                <?php else : ?>
                                                    <article class="entry-item no-thumb">
                                                <?php endif; ?>
                                                    <?php if(is_sticky()) : ?>
                                                        <span class="sticky-icon"><i class="fa fa-bolt"></i></span>
                                                    <?php endif; ?>
                                                    <?php 
                                                    if(get_post_format() == 'gallery') : 
                                                        get_template_part( 'template/module/featured-gallery' );
                                                    elseif(get_post_format() == 'video') :
                                                        get_template_part( 'template/module/featured-video' );
                                                    elseif(get_post_format() == 'audio') :
                                                        get_template_part( 'template/module/featured-audio' );
                                                    elseif(get_post_format() == 'quote') :
                                                        get_template_part( 'template/module/featured-quote' );
                                                    else :
                                                        get_template_part( 'template/module/featured' );
                                                    endif; 
                                                    ?>
                                                    <div class="entry-box">
                                                        <?php echo friday_news_lite_get_first_cat('categories'); ?>
                                                        <h4 class="entry-title st-12"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                                        <?php the_excerpt(); ?>
                                                        <span class="entry-time"><?php echo get_the_date(get_option('date-format')); ?></span>
                                                    </div>
                                                </article>
                                            </li>
                                        <?php endwhile; ?>
                                    </ul>
                                    <?php get_template_part( 'pagination' ); ?>
                                <?php else: ?>
                                    <p><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'friday-news-lite' ); ?></p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.main-col-->
            </div>
        </div>
    </div>
</div>