<?php 
$sb_top       = apply_filters('friday_news_lite_get_sidebar', 'sb_top', 'pos_top');
$sb_right     = apply_filters('friday_news_lite_get_sidebar', 'sb_right', 'pos_right');
?>
<div id="kopa-main-content">
    <div class="wrapper">
        <?php if (is_active_sidebar($sb_top)) : ?>
            <div class="top-page f_background">
        <?php else : ?>
            <div class="top-page">
        <?php endif; ?>
            <?php get_template_part( 'template/module/breadcrumb' ); ?>
            <!-- /.kopa-breadcrumb-->
            <?php         
                if (is_active_sidebar($sb_top)){
                    dynamic_sidebar($sb_top);    
                }
            ?>
        </div>
        <div class="main-page">
            <div class="kopa-row-15">
                <div class="main-col full-width">
                    <div class="kopa-single-page-content">
                        <?php if (have_posts()): while (have_posts()) : the_post(); ?>  
                            <div class="single-post-top">
                                <h1 class="single-post-title"><?php the_title(); ?></h1>
                                <?php get_template_part('template/module/single/metadata'); ?>
                            </div>
                            <div class="single-post-middle">
                                <?php the_content(); ?>
                            </div>
                            <div class="single-post-bottom">
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6">
                                        <?php
                                            wp_link_pages(array(
                                                'before' => '<div class="kopa-page-links">',
                                                'after' => '</div>',
                                                'link_before'      => '<span>',
                                                'link_after'       => '</span>',
                                                'next_or_number' => 'number',
                                                'nextpagelink' => '<i class="fa fa-caret-right"></i>',
                                                'previouspagelink' => '<i class="fa fa-caret-left"></i>',
                                            ));
                                        ?>
                                    </div>
                                    <?php get_template_part('template/module/single/tag'); ?>
                                </div>
                            </div>
                            <?php get_template_part('template/module/single/other-posts'); ?>
                            <?php get_template_part('template/module/single/author'); ?>
                            <?php get_template_part('template/module/single/related-posts'); ?>
                            <?php if(comments_open()){
                                    comments_template();
                                }
                            ?>
                        <?php endwhile; endif; ?>
                    </div>
                </div>
                <!-- /.main-col-->
                <?php         
                    if (is_active_sidebar($sb_right)){
                        echo '<aside class="sidebar"><div class="widget-area-10">';
                            add_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');
                            dynamic_sidebar($sb_right);    
                            remove_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');   
                        echo '</div></aside>';
                    }
                ?>
                <!-- /.sidebar-->
            </div>
        </div>
    </div>
</div>